using UnityEngine;
using System.Collections.Generic;

namespace Script.Gameplay.Connect
{
    public interface IConnectable
    {
        void OnGazeEnter(); // 玩家开始注视时触发
        void OnGazeExit(); // 玩家停止注视时触发
        Vector3 GetPosition(); // 获取连接点位置
        GameObject GetGameObject(); // 获取连接点物体
        string GetConnectableName(); // 获取连接点名称
        public List<ConnectionLine> ConnectionLines { get; set; }
        void SignalActive(bool active, GameObject sender); // 被激活
    }
}